<?php
require_once('config.php');

$path = $_SERVER['DOCUMENT_ROOT'] . '/ssi';

function add_to_retval($fname)
{
	global $retval;
	$arr1 = array(
		'value' => $fname,
		'text' => $fname
	);
	array_push($retval['designs'], $arr1);
}

$oper = $_REQUEST['oper'];
$retval = array(
	'current_design' => '',
	'designs' => array()
);

if($oper == 'get_file_list') {
	if(is_dir($path)) {
		if($dh = opendir($path)) {
			while(($file = readdir($dh)) !== false) {
				if(substr($file, 0, 5) == 'head-') {
					add_to_retval($file);
				}
			}
		}
		closedir($dh);
	}
	
	$curr_fpath = $ne2_config_info['app_path'] . 'data/current_design.txt';
	$curr_fname = 'head-d3-ocean.shtml'; // default design
	if(file_exists($curr_fpath)) {
		$curr_fname = file_get_contents($curr_fpath);
	}
	
	$retval['current_design'] = $curr_fname;
	
	echo(json_encode($retval));
} elseif($oper == 'set_head_file') {
	$old_fname = $path . '/head.shtml';
	$new_fname = $path . '/' . $_REQUEST['new_head_file'];
	
	unlink($old_fname);
	copy($new_fname, $old_fname);
	chmod($old_fname, 0755);
	
	$curr_fpath = $ne2_config_info['app_path'] . 'data/current_design.txt';
	file_put_contents($curr_fpath, $_REQUEST['new_head_file']);
	
	echo('Update done!');
} elseif($oper == 'get_screenshot') {
	$design_file_name = $_REQUEST['head_file_name'];
	$thumb_dir_name = str_replace(array('head-', '.shtml'), '', $design_file_name);
	$thumb_path = $_SERVER['DOCUMENT_ROOT'] . '/css/' . $thumb_dir_name . '/thumb.png';
	if(file_exists($thumb_path)) {
		echo('<img alt="" src="/css/' . $thumb_dir_name . '/thumb.png" border="0" />');
	} else {
		echo('Keine Screenshots vorhanden.');
	}
}
?>
